package cn.com.countrygarden.bi.main.dao.marketing;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.marketing.Contract;
import cn.com.countrygarden.bi.main.model.marketing.ContractSummary;

import java.util.List;
import java.util.Map;

public interface ContractMapper extends Mapper<Contract> {

    List<ContractSummary> sumBy(Map<String, Object> param);
    List<ContractSummary> tendency(Map<String, Object> param);
    List<ContractSummary> ranking(Map<String, Object> param);
}